Pricing
List Pricing
List pricing configurations for your organization.
GET
/
v1
/
pricing
List Pricing
curl --request GET \
--url https://api.monk.com/v1/pricing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.monk.com/v1/pricing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.monk.com/v1/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"unitAmount": "<string>",
"flatAmount": "<string>",
"priceInterval": "<string>",
"priceIntervalCount": 123,
"meterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricingTiers": [
{
"unitAmount": "<string>",
"minQty": "<string>",
"maxQty": "<string>",
"flatAmount": "<string>"
}
]
}
],
"hasMore": true,
"total": 123
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}Scope:
pricing:readAuthorizations
Use your Monk API key as the bearer token.
Query Parameters
Maximum number of pricing records to return.
Required range:
x <= 100Number of pricing records to skip.
Filter pricing by product ID.
Filter by pricing model.
Available options:
FLAT, TIER, USAGE ⌘I
List Pricing
